--
-- Patch DML de GRHUM du 13/01/2014 à exécuter depuis le user GRHUM
--
-- Rem : fichier encodé UTF-8

SET DEFINE OFF;

--
--
-- Fichier : 2/2
-- Type : DML
-- Schema : GRHUM
-- Numero de version : 1.8.10.0
-- Date de publication : 13/01/2014
-- Auteur(s) : Alain Malaplate

--
--
--

WHENEVER SQLERROR EXIT SQL.SQLCODE;



------------------------V20140113.145712__DML_MAJ_CODE_POSTAL_PRINCIPAL.sql-------------------------


INSERT INTO GRHUM.TYPE_ACCES
(C_TYPE_ACCES, LL_TYPE_ACCES, LC_TYPE_ACCES, TEM_PROMOTION, TYPE_PROMOTION, TEM_RECLASSEMENT, TEM_INTEGRATION, 
TEM_ANC_EQUIV, D_OUVERTURE, D_FERMETURE, D_CREATION, D_MODIFICATION, TEM_ARRIVEE)
VALUES
('B6', 'INTEGRATION CASU DANS CIGEM ATTACHE', 'INT NES B', 'N', NULL, NULL, NULL, 
NULL, TO_DATE('01/09/2011', 'dd/mm/yyyy'), NULL, SYSDATE, SYSDATE, 'O') ;

INSERT INTO GRHUM.TYPE_ACCES
(C_TYPE_ACCES, LL_TYPE_ACCES, LC_TYPE_ACCES, TEM_PROMOTION, TYPE_PROMOTION, TEM_RECLASSEMENT, TEM_INTEGRATION, 
TEM_ANC_EQUIV, D_OUVERTURE, D_FERMETURE, D_CREATION, D_MODIFICATION, TEM_ARRIVEE)
VALUES
('A8', 'CIGEM ATTACHE', 'CIGEM ATT', 'N', NULL, NULL, NULL, 
NULL, TO_DATE('01/09/2011', 'dd/mm/yyyy'), NULL, SYSDATE, SYSDATE, 'O') ;

-- Mise a jour des codes postaux principaux a BORDEAUX

UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '33001' where c_postal = '33001';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '33002' where c_postal = '33002';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '33003' where c_postal = '33003';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '33004' where c_postal = '33004';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '33005' where c_postal = '33005';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '33006' where c_postal = '33006';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '33007' where c_postal = '33007';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '33008' where c_postal = '33008';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '33009' where c_postal = '33009';


-- Mise a jour des codes postaux principaux a MARSEILLE

UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '13001' where c_postal = '13001';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '13002' where c_postal = '13002';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '13003' where c_postal = '13003';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '13004' where c_postal = '13004';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '13005' where c_postal = '13005';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '13006' where c_postal = '13006';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '13007' where c_postal = '13007';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '13008' where c_postal = '13008';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '13009' where c_postal = '13009';


-- Mise a jour des codes postaux principaux a LYON

UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '69001' where c_postal = '69001';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '69002' where c_postal = '69002';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '69003' where c_postal = '69003';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '69004' where c_postal = '69004';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '69005' where c_postal = '69005';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '69006' where c_postal = '69006';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '69007' where c_postal = '69007';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '69008' where c_postal = '69008';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '69009' where c_postal = '69009';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '69130' where c_postal = '69131';

-- Mise a jour des codes postaux principaux a PARIS

UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '75001' where c_postal = '75001';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '75002' where c_postal = '75002';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '75003' where c_postal = '75003';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '75004' where c_postal = '75004';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '75005' where c_postal = '75005';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '75006' where c_postal = '75006';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '75007' where c_postal = '75007';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '75008' where c_postal = '75008';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '75009' where c_postal = '75009';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '75010' where c_postal = '75010';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '75011' where c_postal = '75011';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '75012' where c_postal = '75012';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '75013' where c_postal = '75013';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '75014' where c_postal = '75014';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '75015' where c_postal = '75015';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '75016' where c_postal = '75016';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '75017' where c_postal = '75017';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '75018' where c_postal = '75018';
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '75019' where c_postal = '75019';

--
UPDATE GRHUM.COMMUNE  SET C_POSTAL_PRINCIPAL = '42000' where c_postal = '42020';


---------------------------------V20140113.150750__DML_MAJ_RNE.sql----------------------------------
--------------------------------------------------------
--  RNE fourni par l'INSA de Rennes
--------------------------------------------------------

--http://www.education.gouv.fr/annuaire/49-maine-et-loire/angers/lycee/lycee-henri-bergson.html

UPDATE GRHUM.RNE
	SET adresse = '85 rue de la Barre',
	    code_postal='49000',
	    ville=upper('Angers')
	WHERE c_rne='0491966W';

--DB_VERSION 
INSERT INTO GRHUM.DB_VERSION(DBV_ID,DBV_LIBELLE,DBV_DATE,DBV_INSTALL,DBV_COMMENT) VALUES(GRHUM.DB_VERSION_SEQ.NEXTVAL,'1.8.10.0',to_date('13/01/2014','DD/MM/YYYY'),sysdate,'MAJ du trigger des comptes, de Garnuche.Verif_Code_Insee, de RNE et de Codes postaux');
COMMIT;
